#!BuildIgnore:  post-build-checks
#
# spec file for package xorp (Version 1.8.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xorp
%define _libexecdir %{_prefix}/lib
#
Version:        1.8.5
Release:        8.6
#
License:        BSD
Group:          Productivity/Networking/Routing
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ iptables-devel net-snmp-devel openssl-devel pcre-devel python-devel tcpd-devel libpcap-devel ncurses-devel
BuildRequires:	procps scons
BuildRequires:	file
#
Url:            http://www.xorp.org/
Source0:        http://www.xorp.org/releases/%{version}/%{name}-%{version}-src.tar.bz2
Source1:	xorp-rpmlintrc
#
Summary:        XORP is the eXtensible Open Router Platform

%description
XORP currently provides a set of routing protocol
implementations, an extensible programming API, and
configuration tools. The supported protocols are BGP, RIP,
PIM-SM, and IGMP/MLD. IPv4 and IPv6 are both supported. The
list of protocols and features will hopefully grow as more
people start contributing to the project.

At the present time, XORP does not implement its own forwarding
system. It is reliant on the forwarding of the underlying host
operating system. We would like to support forwarding in custom
hardware and software architectures in future. An example being
the Click modular router.

Authors:
---------
 * Fred Bauer
 * Andrea Bittau
 * Javier Cardona
 * Atanu Ghosh
 * Adam Greenhalgh
 * Mark Handley
 * Orion Hodson
 * Eddie Kohler
 * Pavlin Radoslavov
 * Luigi Rizzo
 * Bruce M. Simpson
 * Marko Zec


%debug_package
%prep
%setup -n %{name}

%build
#configure \
#    --prefix=%{_libexecdir}/%{name} \
#    --with-snmp --enable-shared --enable-optimize \
#    --enable-debug-fnames || cat config.log
#%{__make}
scons

%install
#makeinstall
scons install prefix=%{buildroot}%{_prefix}
#for j in README TODO BUGS DEVNOTES Notes ; do
#    for i in $(ls */$j) ; do cp "$i" "$j.${i%%\/$j}" ; done
#done
find docs-%{version}/ -name \*.pdf  | sed -e 's|^|%doc |g' > pdf.files

%clean
%{__rm} -rf %{buildroot}

%files -f pdf.files
%defattr(-,root,root,-)
# skip-check-libtool-deps
%{_sbindir}/bgp_xrl_shell_funcs.sh
%{_sbindir}/call_xrl
%{_sbindir}/fea_xrl_shell_funcs.sh
%{_sbindir}/rib_xrl_shell_funcs.sh
%{_sbindir}/xorp_profiler
%{_sbindir}/xorp_rtrmgr
%{_sbindir}/xorpsh
%{_datadir}/xorp/templates/bgp.cmds
%{_datadir}/xorp/templates/bgp.tp
%{_datadir}/xorp/templates/fea.cmds
%{_datadir}/xorp/templates/fea.tp
%{_datadir}/xorp/templates/fib2mrib.tp
%{_datadir}/xorp/templates/firewall.tp
%{_datadir}/xorp/templates/host.cmds
%{_datadir}/xorp/templates/igmp.cmds
%{_datadir}/xorp/templates/igmp.tp
%{_datadir}/xorp/templates/interfaces.tp
%{_datadir}/xorp/templates/mfea.cmds
%{_datadir}/xorp/templates/mfea4.tp
%{_datadir}/xorp/templates/mfea6.cmds
%{_datadir}/xorp/templates/mfea6.tp
%{_datadir}/xorp/templates/misc.cmds
%{_datadir}/xorp/templates/mld.cmds
%{_datadir}/xorp/templates/mld.tp
%{_datadir}/xorp/templates/olsr4.cmds
%{_datadir}/xorp/templates/olsr4.tp
%{_datadir}/xorp/templates/ospfv2.cmds
%{_datadir}/xorp/templates/ospfv2.tp
%{_datadir}/xorp/templates/ospfv3.cmds
%{_datadir}/xorp/templates/ospfv3.tp
%{_datadir}/xorp/templates/pim.cmds
%{_datadir}/xorp/templates/pim6.cmds
%{_datadir}/xorp/templates/pimsm4.tp
%{_datadir}/xorp/templates/pimsm6.tp
%{_datadir}/xorp/templates/plumbing.tp
%{_datadir}/xorp/templates/policy.cmds
%{_datadir}/xorp/templates/policy.tp
%{_datadir}/xorp/templates/protocols.tp
%{_datadir}/xorp/templates/rib.cmds
%{_datadir}/xorp/templates/rib.tp
%{_datadir}/xorp/templates/rip.cmds
%{_datadir}/xorp/templates/rip.tp
%{_datadir}/xorp/templates/ripng.cmds
%{_datadir}/xorp/templates/ripng.tp
%{_datadir}/xorp/templates/rtrmgr.tp
%{_datadir}/xorp/templates/static_routes.tp
%{_datadir}/xorp/templates/vrrp.cmds
%{_datadir}/xorp/templates/vrrp.tp
%{_datadir}/xorp/templates/xorpsh.cmds
%{_libexecdir}/xorp/
%doc BUGS ERRATA LICENSE RELEASE_NOTES
%doc fea/README.mfea fea/DEVNOTES.mfea

%changelog
* Thu Jan 12 2012 cs@linux-administrator.com
- update to version 1.8.5
* Thu Mar 22 2007 mrueckert@suse.de
- update to version 1.4
